%define anolis_release 2
%global modname Unicode-EastAsianWidth

Name:		perl-%{modname}
Version:	12.0
Release:	%{anolis_release}%{?dist}
Summary:	East Asian Width properties
License:	CC0
URL:		https://metacpan.org/release/%{modname}
Source0:	https://cpan.metacpan.org/authors/id/A/AU/AUDREYT/%{modname}-%{version}.tar.gz

BuildRequires:  make perl-generators
BuildRequires:	perl(base) perl(Exporter) perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test) perl(Module::Package) perl(Pod::Markdown) perl(Module::Package::Au)
%{?perl_default_filter}

BuildArch:	noarch

%description
This module provide user-defined Unicode properties that deal with width
status of East Asian characters, as specified in
<http://www.unicode.org/unicode/reports/tr11/>.

It exports the following functions to the caller's scope, to be used
by Perl's Unicode matching system: InEastAsianFullwidth, InEastAsianHalfwidth,
InEastAsianAmbiguous, InEastAsianNarrow InEastAsianWide, InEastAsianNeutral.

In accord to TR11 cited above, two additional context-sensitive properties
are exported: InFullwidth (union of Fullwidth and Wide) and InHalfwidth
(union of Halfwidth, Narrow and Neutral).

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{modname}-%{version}
rm -rf inc/*

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{perl_vendorlib}/Unicode/
%{_mandir}/man3/Unicode::EastAsianWidth.3pm*
%doc README Changes

%files doc
%doc README Changes

%changelog
* Sat Apr 15 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 12.0-2
- Refactor the specfile

* Tue Jan 31 2023 Funda Wang <fundawang@yeah.net> - 12.0-1
- Import package for anolis 23
